Index: code/branches/cpp11_v2/test/core/command/CommandTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/command/CommandTest.cc	(revision 10765)
+++ code/branches/cpp11_v2/test/core/command/CommandTest.cc	(revision 10768)
@@ -129,5 +129,5 @@
                 ModifyConsoleCommand("test").popObject();
             else if (a == 1)
-                ModifyConsoleCommand("test").setFunction(FunctorPtr(0));
+                ModifyConsoleCommand("test").setFunction(FunctorPtr(nullptr));
             else if (a == -1)
                 ModifyConsoleCommand("test").popFunction();
Index: code/branches/cpp11_v2/test/core/object/StrongPtrTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/StrongPtrTest.cc	(revision 10765)
+++ code/branches/cpp11_v2/test/core/object/StrongPtrTest.cc	(revision 10768)
@@ -112,8 +112,8 @@
     {
         EXPECT_TRUE(strongPtr == nullptr);
-        EXPECT_TRUE(strongPtr == 0);
+        EXPECT_TRUE(strongPtr == nullptr);
         EXPECT_TRUE(!strongPtr);
         EXPECT_FALSE(strongPtr != nullptr);
-        EXPECT_FALSE(strongPtr != 0);
+        EXPECT_FALSE(strongPtr != nullptr);
         EXPECT_FALSE(strongPtr);
     }
@@ -135,10 +135,10 @@
         }
         {
-            StrongPtr<DestroyableTest> strongPtr = 0;
+            StrongPtr<DestroyableTest> strongPtr = nullptr;
             isNull(strongPtr);
         }
         {
             StrongPtr<DestroyableTest> strongPtr;
-            strongPtr = 0;
+            strongPtr = nullptr;
             isNull(strongPtr);
         }
@@ -151,8 +151,8 @@
         StrongPtr<DestroyableTest> strongPtr = test;
         EXPECT_FALSE(strongPtr == nullptr);
-        EXPECT_FALSE(strongPtr == 0);
+        EXPECT_FALSE(strongPtr == nullptr);
         EXPECT_FALSE(!strongPtr);
         EXPECT_TRUE(strongPtr != nullptr);
-        EXPECT_TRUE(strongPtr != 0);
+        EXPECT_TRUE(strongPtr != nullptr);
         EXPECT_TRUE(strongPtr);
         test->destroy();
Index: code/branches/cpp11_v2/test/core/object/WeakPtrTest.cc
===================================================================
--- code/branches/cpp11_v2/test/core/object/WeakPtrTest.cc	(revision 10765)
+++ code/branches/cpp11_v2/test/core/object/WeakPtrTest.cc	(revision 10768)
@@ -67,8 +67,8 @@
     {
         EXPECT_TRUE(weakPtr == nullptr);
-        EXPECT_TRUE(weakPtr == 0);
+        EXPECT_TRUE(weakPtr == nullptr);
         EXPECT_TRUE(!weakPtr);
         EXPECT_FALSE(weakPtr != nullptr);
-        EXPECT_FALSE(weakPtr != 0);
+        EXPECT_FALSE(weakPtr != nullptr);
         EXPECT_FALSE(weakPtr);
     }
@@ -90,10 +90,10 @@
         }
         {
-            WeakPtr<DestroyableTest> weakPtr = 0;
+            WeakPtr<DestroyableTest> weakPtr = nullptr;
             isNull(weakPtr);
         }
         {
             WeakPtr<DestroyableTest> weakPtr;
-            weakPtr = 0;
+            weakPtr = nullptr;
             isNull(weakPtr);
         }
@@ -105,8 +105,8 @@
         WeakPtr<DestroyableTest> weakPtr = test;
         EXPECT_FALSE(weakPtr == nullptr);
-        EXPECT_FALSE(weakPtr == 0);
+        EXPECT_FALSE(weakPtr == nullptr);
         EXPECT_FALSE(!weakPtr);
         EXPECT_TRUE(weakPtr != nullptr);
-        EXPECT_TRUE(weakPtr != 0);
+        EXPECT_TRUE(weakPtr != nullptr);
         EXPECT_TRUE(weakPtr);
         test->destroy();
Index: code/branches/cpp11_v2/test/util/SharedPtrTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/SharedPtrTest.cc	(revision 10765)
+++ code/branches/cpp11_v2/test/util/SharedPtrTest.cc	(revision 10768)
@@ -41,5 +41,5 @@
     {
         SharedPtr<TestClass> test;
-        EXPECT_EQ(0, test.get());
+        EXPECT_EQ(nullptr, test.get());
     }
 
@@ -91,5 +91,5 @@
 
         SharedPtr<TestClass> test;
-        EXPECT_EQ(0, test.get());
+        EXPECT_EQ(nullptr, test.get());
 
         test = other;
@@ -105,5 +105,5 @@
 
         SharedPtr<TestClass> test;
-        EXPECT_EQ(0, test.get());
+        EXPECT_EQ(nullptr, test.get());
 
         test = other;
@@ -138,5 +138,5 @@
     {
         SharedPtr<TestClass> test;
-        EXPECT_EQ(0, test.get());
+        EXPECT_EQ(nullptr, test.get());
         EXPECT_FALSE(test);
 
Index: code/branches/cpp11_v2/test/util/SmallObjectAllocatorTest.cc
===================================================================
--- code/branches/cpp11_v2/test/util/SmallObjectAllocatorTest.cc	(revision 10765)
+++ code/branches/cpp11_v2/test/util/SmallObjectAllocatorTest.cc	(revision 10768)
@@ -47,5 +47,5 @@
         // create an integer
         size_t* pointer = this->create(5);
-        ASSERT_NE((void*)0, pointer);
+        ASSERT_NE((void*)nullptr, pointer);
         EXPECT_EQ(5u, *pointer);
     }
@@ -55,5 +55,5 @@
         // create an integer
         size_t* pointer = this->create(5);
-        ASSERT_NE((void*)0, pointer);
+        ASSERT_NE((void*)nullptr, pointer);
         EXPECT_EQ(5u, *pointer);
 
@@ -228,5 +228,5 @@
         // create an object
         SmallObject* pointer = this->create(5);
-        ASSERT_NE((void*)0, pointer);
+        ASSERT_NE((void*)nullptr, pointer);
         EXPECT_EQ(5u, pointer->getValue());
         EXPECT_EQ(5u, SmallObject::total_s);
@@ -239,5 +239,5 @@
         // create an object
         SmallObject* pointer = this->create(5);
-        ASSERT_NE((void*)0, pointer);
+        ASSERT_NE((void*)nullptr, pointer);
         EXPECT_EQ(5u, pointer->getValue());
         EXPECT_EQ(5u, SmallObject::total_s);
